#version 330 core
layout(triangles) in;
layout(triangle_strip, max_vertices=18) out;

uniform mat4 m_viewProjections[6];

out vec4 v_worldPosition;

void main(void) {
	for(gl_Layer=0; gl_Layer<6; ++gl_Layer) {
		for(int tri_vert=0; tri_vert < 3; ++tri_vert) {
			v_worldPosition = gl_in[tri_vert].gl_Position;
			gl_Position = m_viewProjections[gl_Layer] * v_worldPosition;
			EmitVertex();
		}
		EndPrimitive();
	}
}