#version 330 core

in vec2 fragmentUV;

out vec4 FragColor;

uniform sampler2D i_textureUnit1;
uniform sampler2D i_textureUnit2;

void main() {
	vec4 finalColor = texture(i_textureUnit1, fragmentUV) + 2*texture(i_textureUnit2, fragmentUV);
	//vec4 finalColor = texture(i_textureUnit2, fragmentUV);
	FragColor = clamp(finalColor, 0.0, 1.0);
}