#version 330 core

uniform vec2 v_nearFar;
uniform vec4 v_lightPos;

in vec4 v_worldPosition;

void main(void) {
	float dist = distance(v_worldPosition, v_lightPos);
	float distNorm = dist / v_nearFar.y;

	gl_FragDepth = distNorm;
}